/api/v4/locations/{locationId}/voice-assistants取得地點的語音助理商家資訊
傳回地點在 Google Assistant、Alexa、Siri、Cortana 和 Bixby 上的語音助理商家資訊同步狀態。
參數
路徑
| 名稱 | 類型 | 必填 | 說明 |
|---|---|---|---|
| locationId | string | 必填 | Location ID. Accepts either the base64-encoded node ID (e.g. `TG9jYXRpb246MTgwMDI4OQ==`) or the raw numeric database ID (e.g. `1800289`). |
回應
200Array of voice assistant listings with per-assistant sync status.
{ "data": { "voiceAssistantsForLocation": [ { "databaseId": "104468723", "voiceIdentifier": "GOOGLE_ASSISTANT", "name": "Google Assistant", "connectedAccountId": null, "syncStatus": "REQUIRING_ACTION", "actionRequired": true, "syncIssue": null, "errors": [] }, { "databaseId": "104468711", "voiceIdentifier": "SIRI", "name": "Siri", "connectedAccountId": null, "syncStatus": "IN_PROGRESS", "actionRequired": false, "syncIssue": null, "errors": [] }, { "databaseId": "104468714", "voiceIdentifier": "ALEXA", "name": "Alexa", "connectedAccountId": null, "syncStatus": "IN_PROGRESS", "actionRequired": false, "syncIssue": null, "errors": [] } ] }}401Unauthenticated, missing or invalid API key.
429Rate limit exceeded. Retry after the `Retry-After` header value.
傳回單一地點的語音助理商家資訊狀態。Listings API 會將地點資料同步至 Google Assistant、Amazon Alexa、Apple Siri、Microsoft Cortana 和 Samsung Bixby,讓商家出現在語音搜尋結果中。locationId 路徑區段接受任何地點回應中的 base64 節點 ID,或原始的數字資料庫 ID,兩者皆會解析為同一個地點。
使用案例:在儀表板中顯示「需要採取行動」的語音助理商家資訊。 逐一檢查陣列中的項目,標記所有 actionRequired 為 true 或 syncIssue 不為 null 的項目,藉此為每個地點呈現語音搜尋就緒狀態小工具。在上述範例中,Google Assistant 和 Bixby 需要處理。Google Assistant 需要處理的最常見原因是缺少 Google 連線,因為其結果來自 Google Business Profile 連線。將這些資料列連結至 連結 Google,讓客戶可以連結帳戶。Siri 的結果來自該地點的 Apple Maps 商家資訊。
同步狀態值: IN_PROGRESS(正在提交)、REQUIRING_ACTION(需要客戶提供資訊後,Listings API 才能同步)、LIVE(已發布)和 NOT_SUBMITTED。errors 是包含發布平台端錯誤字串的陣列;若有適用的已連結帳戶負責同步,connectedAccountId 會將語音助理連結至該帳戶(例如 Google Assistant 透過 Google 連線同步)。
此端點的呼叫會計入您帳戶的速率限制。如果您輪詢多個地點的語音助理狀態,請透過 地點清單 端點分頁取得這些地點,並在各次呼叫之間留出間隔,429 會包含 Retry-After 標頭,告知您何時可以恢復呼叫。
curl -X GET 'https://listingsapi.com/api/v4/locations/<locationId>/voice-assistants' \ -H "Authorization: API $LISTINGSAPI_KEY"